=== debian/changelog ===
lucene++ (3.0.8-5build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:00:55 +0100

lucene++ (3.0.8-5) unstable; urgency=medium

  * debian/patches/172.patch:
  * debian/patches/173.patch:
  * debian/patches/174.patch:
    - cherry-pick upstream fixes to install contrib headers
      thanks clay stan <claystan97@gmail.com> for the help
      (Closes: #992483)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Aug 2021 19:17:47 +0200

lucene++ (3.0.8-4) unstable; urgency=medium

  * debian/patches/169.patch:
    - upstream testsuite fix

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Mar 2021 20:45:41 +0100

lucene++ (3.0.8-3) unstable; urgency=medium

  * Also install builddeps in debian/tests/control

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Jan 2021 22:30:20 +0100

lucene++ (3.0.8-2) unstable; urgency=medium

  * Add zlib1g-dev new dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Jan 2021 10:12:21 +0100

lucene++ (3.0.8-1) unstable; urgency=medium

  * New upstream version 3.0.8
  * Drop patch 0001-Fix-compilation-with-Boost-1.58.patch and afd772ba14954c8785ce17a376759ba9525f3315.patch, upstream
  * Also install cmake helpers in libdir
  * Drop useless stuff from installation, gtest is not meant to be installed
  * Add patch to fix an upstream issue with Chinese locale
  * Add upstream-proposed PR to fix a wrong contrib library creation due to a typo
  * Add upstream-proposed patch to fix a bad substitution value for pkgconfig file
  * Add upstream-proposed patch to fix various issues with cmake helpers and substitution files
  * Refresh snowball disabled patch
  * Drop pkgconfig file, use upstream-proposed pr instead
  * Update series file
  * Add autopkgtest trying to build a simple test main with cmake

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jan 2021 23:53:17 +0100
