=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                libboost-system-dev,
                libboost-test-dev,
                libboost-thread-dev,
+               zlib1g-dev,
                python3
 Build-Depends-Indep: doxygen
 Rules-Requires-Root: no
