=== debian/watch ===
version=3
https://github.com/luceneplusplus/LucenePlusPlus/tags .*/rel_?(\d\S*)\.tar\.gz
