## lucene++ 3.0.9

=== src/contrib/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,18 @@
 ####################################
 # create library target
 ####################################
+add_subdirectory(include)
+
 if (LUCENE_BUILD_SHARED)
   add_library(lucene++-contrib SHARED)
 else()
   add_library(lucene++-contrib STATIC)
 endif()
+
+set(lucene++-contrib_SOVERSION "0")
+
+set(lucene++-contrib_VERSION
+  "${lucene++_VERSION_MAJOR}.${lucene++_VERSION_MINOR}.${lucene++_VERSION_PATCH}")
 
 add_library(lucene++::lucene++-contrib ALIAS lucene++-contrib)
 
@@ -27,9 +34,8 @@
   "snowball/libstemmer_c/runtime/*.c"
 )
 
-file(GLOB_RECURSE contrib_headers
-  "${lucene++-lib_SOURCE_DIR}/include/*.h"
-)
+file(GLOB_RECURSE contrib_headers 
+  "${lucene++-lib_SOURCE_DIR}/include/*.h")
 
 
 
@@ -64,8 +70,7 @@
     Boost::system
     Boost::thread
     ZLIB::ZLIB
-    lucene++::lucene++
-)
+    lucene++::lucene++)
 
 if(WIN32)
     target_link_libraries(lucene++-contrib ws2_32)
@@ -77,7 +82,7 @@
 ####################################
 target_compile_options(lucene++-contrib PRIVATE -DLPP_BUILDING_LIB)
 
-set_target_properties(lucene++
+set_target_properties(lucene++-contrib
   PROPERTIES
     COTIRE_CXX_PREFIX_HEADER_INIT "include/ContribInc.h"
     CXX_VISIBILITY_PRESET hidden
@@ -88,7 +93,7 @@
 cotire(lucene++-contrib)
 
 install(TARGETS lucene++-contrib
-  DESTINATION "${LIB_DESTINATION}"
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}
   COMPONENT runtime)
 
 install(
