=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -83,5 +83,5 @@
 
 
 install(TARGETS lucene++
-  DESTINATION "${LIB_DESTINATION}"
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   COMPONENT runtime)
