=== src/demo/CMakeLists.txt ===
add_subdirectory(deletefiles)
add_subdirectory(indexfiles)
add_subdirectory(searchfiles)
