=== debian/changelog ===
lucene++ (3.0.9-9) unstable; urgency=medium

  * Ignore testsuite for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Sep 2025 16:05:34 +0200

lucene++ (3.0.9-8) unstable; urgency=medium

  * Cherry-pick 3 other upstream fixes

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Sep 2025 13:11:04 +0200

lucene++ (3.0.9-7) unstable; urgency=medium

  * Back un unversioned boost, with cherry-pick of usptream PR: #210
    and commit c18ead2b0c4aa62af01450cb12353a0baa51411f

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Sep 2025 09:38:06 +0200

lucene++ (3.0.9-6) unstable; urgency=medium

  * Force boost 1.83

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Sep 2025 22:50:59 +0200

lucene++ (3.0.9-5) unstable; urgency=medium

  * Refresh patch
  * Use system googletest
  * Bump std-version to 4.7.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Sep 2025 15:22:59 +0200

lucene++ (3.0.9-4) unstable; urgency=medium

  * Ack previous nmus, thanks!
  * Fix build with new cmake (Closes: #1097319)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Sep 2025 15:07:14 +0200

lucene++ (3.0.9-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build dependency on dpkg-dev (Closes: #1065284)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Mar 2024 00:22:31 +0100

lucene++ (3.0.9-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build depedency on dpkg-dev (>= 1.22.5) for time_t transition.
    (Closes: #1065284)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 04 Mar 2024 23:42:22 +1300

lucene++ (3.0.9-3) unstable; urgency=medium

  * Upload to sid

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 12:10:42 +0100

lucene++ (3.0.9-2exp1) experimental; urgency=medium

   [ Graham Inggs ]
   * Rename libraries for 64-bit time_t transition.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 12:10:34 +0100

lucene++ (3.0.9-2) unstable; urgency=medium

  * Upload with proposed pull-request 200 to fix build
    failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Feb 2024 21:27:13 +0100

lucene++ (3.0.9-1) unstable; urgency=medium

  * New upstream version 3.0.9
  * Drop patches now upstream:
    - {160,161,162,163,169,172,173,174,fix-version-h-install}.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Feb 2024 14:09:18 +0100

lucene++ (3.0.8-8) unstable; urgency=medium

  * Fix another cmake regression

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jun 2023 21:44:17 +0200

lucene++ (3.0.8-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + liblucene++-dev: Add Multi-Arch: same.
    + liblucene++-doc: Add Multi-Arch: foreign.

  [ Gianfranco Costamagna ]
  * Fix autopkgtests with newer cmake version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jun 2023 15:14:38 +0200

lucene++ (3.0.8-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.6.2, no changes required
  * Fix version.h installation.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Feb 2023 07:34:36 +0100
