=== debian/control ===
Source: lucene++
Priority: optional
Maintainer: Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
               cmake,
               debhelper-compat (= 13),
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libgtest-dev,
               zlib1g-dev,
               python3
Build-Depends-Indep: doxygen
Rules-Requires-Root: no
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/luceneplusplus/LucenePlusPlus
Vcs-Git: https://salsa.debian.org/debian/luceneplusplus.git
Vcs-Browser: https://salsa.debian.org/debian/luceneplusplus

Package: liblucene++-dev
Section: libdevel
Architecture: any
Depends: liblucene++-contrib0t64 (= ${binary:Version}),
         liblucene++0t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Development files for Lucene++
 Lucene++ is an up to date C++ port of the popular Java Lucene
 library, a high-performance, full-featured text search engine.
 .
 This package contains development files.

Package: liblucene++-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Reference manual for Lucene++
 Lucene++ is an up to date C++ port of the popular Java Lucene
 library, a high-performance, full-featured text search engine.
 .
 This package contains the reference manual and examples.

Package: liblucene++0t64
Provides: ${t64:Provides}
X-Time64-Compat: liblucene++0v5
Breaks: liblucene++0v5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: liblucene++0
Replaces: liblucene++0v5, liblucene++0
Description: Shared library for Lucene++
 Lucene++ is an up to date C++ port of the popular Java Lucene
 library, a high-performance, full-featured text search engine.
 .
 This package contains the shared library.

Package: liblucene++-contrib0t64
Provides: ${t64:Provides}
X-Time64-Compat: liblucene++-contrib0v5
Breaks: liblucene++-contrib0v5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: liblucene++-contrib0
Replaces: liblucene++-contrib0v5, liblucene++-contrib0
Description: Shared library with Lucene++ contributions
 Lucene++ is an up to date C++ port of the popular Java Lucene
 library, a high-performance, full-featured text search engine.
 .
 This additional contributions include analyzers, a memory-only
 index and a HTML highlighter for search results.
