=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,16 @@
 	dh_install -pliblucene++-doc usr/share/doc/lucene++-doc/* usr/share/doc/liblucene++-doc/
 	rm -rf debian/tmp/usr/share/doc/lucene++-doc/
 
+override_dh_auto_install:
+	dh_auto_install
+	rm -rf debian/tmp/usr/lib/*/libg*.a
+	rm -rf debian/tmp/usr/lib/*/pkgconfig/g*.pc
+	rm -rf debian/tmp/usr/lib/*/cmake/GTest
+	rm -rf debian/tmp/usr/include/g*
+
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 override_dh_auto_test:
-	./obj-*/src/test/lucene++-tester || true
+	#./obj-*/src/test/lucene++-tester || true
 endif
 
 override_dh_missing:
