=== debian/tests/control ===
Tests: cmake-test
Depends: @, @builddeps@, g++, build-essential, cmake
