=== debian/watch ===
version=4
https://github.com/luceneplusplus/LucenePlusPlus/tags .*/rel_?(\d\S*)\.tar\.gz
